## python-characteristic 14.3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/characteristic.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/characteristic.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/characteristic"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/characteristic"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-characteristic 0.1.0

=== debian/changelog ===
python-characteristic (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #754864).

 -- Matthias Klose <doko@debian.org>  Tue, 15 Jul 2014 09:35:43 +0000

=== debian/control ===
Source: python-characteristic
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
  python-all, python-setuptools, python-pytest,
  python3-all-dev, python3-setuptools, python3-pytest,
Build-Depends-Indep: python3-sphinx
Standards-Version: 3.9.5
Section: python
Homepage: https://pypi.python.org/pypi/characteristic/

Package: python-characteristic
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: helper for implementing attribute-related object protocols (Python 2)
 characteristic is Python package with class decorators that ease the chores
 of implementing the most common attribute-related object protocols.
 .
 You just specify the attributes to work with and characteristic gives you:
 .
   - a nice human-readable __repr__,
   - a complete set of comparison methods,
   - and a kwargs-based initializer (that cooperates with your existing one)
 .
 without writing dull boilerplate code again and again.

Package: python3-characteristic
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: helper for implementing attribute-related object protocols (Python 3)
 characteristic is Python package with class decorators that ease the chores
 of implementing the most common attribute-related object protocols.
 .
 You just specify the attributes to work with and characteristic gives you:
 .
   - a nice human-readable __repr__,
   - a complete set of comparison methods,
   - and a kwargs-based initializer (that cooperates with your existing one)
 .
 without writing dull boilerplate code again and again.

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://pypi.python.org/packages/source/c/characteristic/characteristic-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## python-characteristic 14.3.0

=== debian/changelog ===
python-characteristic (14.3.0-8) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.1.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Corrected d/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Nov 2024 07:56:56 +0100

python-characteristic (14.3.0-7) unstable; urgency=medium

  * Drop python2 support; Closes: #937643

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Apr 2020 23:24:47 -0400

python-characteristic (14.3.0-6) unstable; urgency=medium

  * QA upload.
  * Add missing test depends on python3-pytest

 -- Scott Kitterman <scott@kitterman.com>  Fri, 20 Mar 2020 01:07:46 -0400

python-characteristic (14.3.0-5) unstable; urgency=medium

  * QA upload.
  * Source only upload to get to Testing

 -- Scott Kitterman <scott@kitterman.com>  Thu, 19 Mar 2020 11:16:07 -0400

python-characteristic (14.3.0-4) unstable; urgency=medium

  * QA upload.
  * Revert python2 removal - premature (prevents automat from migrating to
    Testing and it can't be dropped yet)
  * Remove debian/source/include-binaries because including left over .pyc
    files is a horrible idea
  * Override dh_auto_clean to also remove pytest cruft so nothing is left
    behind to need including
  * Add autopkgtest for python3 (not bothering for python2 since its return is
    only temporary)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 19 Mar 2020 10:13:10 -0400

python-characteristic (14.3.0-3) unstable; urgency=medium

  * QA upload.
  * Drop python2 package. Closes: #937643

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 16 Dec 2019 14:58:18 +0000

python-characteristic (14.3.0-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. See #.
  * Bump standards version.
  * Adjust build dependencies. Closes: #799635.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Dec 2017 21:30:52 +0100

python-characteristic (14.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Sep 2015 20:06:31 +0200

=== debian/control ===
Source: python-characteristic
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools,
Build-Depends-Indep: python3-sphinx,
Standards-Version: 4.7.0
Section: python
Homepage: https://pypi.python.org/pypi/characteristic/
Vcs-Browser: https://salsa.debian.org/debian/python-characteristic
Vcs-Git: https://salsa.debian.org/debian/python-characteristic.git

Package: python3-characteristic
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: helper for implementing attribute-related object protocols (Python 3)
 characteristic is Python package with class decorators that ease the chores
 of implementing the most common attribute-related object protocols.
 .
 You just specify the attributes to work with and characteristic gives you:
 .
   - a nice human-readable __repr__,
   - a complete set of comparison methods,
   - and a kwargs-based initializer (that cooperates with your existing one)
 .
 without writing dull boilerplate code again and again.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache

=== debian/tests/control ===
Tests: run-pytest
Depends: python3-all,
         python3-pytest,
         @,
Restrictions: allow-stderr
